package com.dreamteam.timelapse

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.viewpager2.adapter.FragmentStateAdapter

class TabsAdapter(activity: FragmentActivity) : FragmentStateAdapter(activity) {

    override fun getItemCount(): Int {
        return 2  // Nombre total d'onglets
    }

    override fun createFragment(position: Int): Fragment {
        return when (position) {
            0 -> ProjetsFrag()  // Premier fragment
            1 -> VideoFrag()  // Second fragment
            else -> ProjetsFrag()  // Par défaut
        }
    }

}